Robotics Systems Types - Enhancement #2707
Patch for expanding person hypothesis
01/26/2017 04:02 PM - R. Zorn

Status: Resolved Start date: 01/26/2017
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version: rsb-0.16

Description

Please review and add the following patch!

These types are used in the CSRA project.

Associated revisions

Revision 86496¢14 - 02/16/2017 09:51 AM - J. Moringen

New type rst.hri.Head

Copied (with modifications) from rst-experimental project.

refs #2707

Revision 196ba811 - 02/16/2017 09:51 AM - R. Zorn

Added head field to rst.hri.PersonHypothesis

fixes #2707

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision ¢30c459a - 02/16/2017 09:56 AM - J. Moringen

Backport: New type rst.hri.Head

Copied (with modifications) from rst-experimental project.

refs #2707

(cherry picked from commit 86496¢c14b8400a8cbfOba8f94eec5e059566a0e3)

Revision 25026e35 - 02/16/2017 09:56 AM - R. Zorn

Backport: Added head field to rst.hri.PersonHypothesis

refs #2707

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

06/25/2024
(cherry picked from commit 196ba811ff742592aa1c38563a6756f3ef4629ea)

History

#1 - 01/30/2017 02:50 PM - J. Moringen

- File 0001-New-type-rst.hri.Head.patch added

- File 0002-Added-head-field-to-rst.hri.PersonHypothesis.patch added
- Category set to Type Proposal

- Status changed from New to Feedback

- Target version set to rsb-0.16

We added the missing rst.hri.Head type and tweaked the patch accordingly. Please have a look at the attached patches and let us known whether the

updated version work for you.

#2 - 02/01/2017 02:45 PM - N. Koster

It would be good if this change can also be back-ported to 0.15. Thanks!

#3 - 02/02/2017 02:54 PM - K. Konen

Looks good.
Thank you.

The rst.hri.Head type is already implemented in the rst-experimental. Is this a problem/Does it have to be deleted there?

#4 - 02/15/2017 12:18 PM - R. Zorn

Suggested patch works and can be applied.

#5 - 02/16/2017 09:58 AM - J. Moringen

K. Konen wrote:

The rst.hri.Head type is already implemented in the rst-experimental. Is this a problem/Does it have to be deleted there?

Types in RST cannot depend on rst-experimental, so we added the rst.hri.Head to RST. To use RST in conjunction with rst-experimental, the type in

rst-experimental has to be renamed or removed.

#6 - 02/16/2017 09:58 AM - R. Zorn
- Status changed from Feedback to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:rst-proto|196ba811ff742592aa1c38563a6756f3ef4629ea.
Files

0001-added-head-attribute-to-person-hypothesis.patch 1.19 KB 01/26/2017 R. Zorn

0001-New-type-rst.hri.Head.patch 1.18 KB 01/30/2017 J. Moringen

0002-Added-head-field-to-rst.hri.PersonHypothesis.patch 1.21 KB 01/30/2017 J. Moringen
